<?php include("php-bin/bscounter-php/count.php"); ?>

<?php echo '<?xml version="1.0" encoding="iso-8859-1"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
<head>
	<title>BS Counter - PHP Demo</title>
	<style type="text/css">
		body { font-family: tahoma, sans-serif; background-color: #cdcecf; text-align: center; }
		a:link, a:visited { text-decoration: none; color: #000; }
		a:hover { color: #367; }
		div { border: solid 0px #000; }
		p { margin-top: 0px; }
		form { margin: 0px; }
		img { vertical-align: middle; }
		table { font-size: 100%; }
		th { border-bottom: 1px solid #777; text-align: left; font-size: 9pt; font-weight: 800; }
		#surrounding { margin: 0px auto; width: 650px; }
		#topsurrounding { width: 100%; }
		#title { font-family: century gothic, sans-serif; font-size: 20pt; font-weight: 500; color: #666; text-align: center; position: relative; left: 0px; top: 6px; }
		#contentsurrounding { border: solid 1px #a3a3a3; background: #FFF; clear: both; padding: 17px 13px 17px 13px; text-align: left; font-size: 8pt; }
		#copyright { width: 100%; text-align: center; color: #777; font-size: 7pt; margin-bottom: 20px; margin-top: 10px; }
		#copyright a:link, #copyright a:visited { color: #777; text-decoration: none; border-bottom: 1px dashed #999; }
		#copyright a:hover { border-bottom: 1px solid #777; }
		span.g { color: #fff; }
		input.input, select.input { border: 1px solid #777; background: #EEE; font-size: 9pt; }
		input.submit { border: 1px solid #777; background: #DDD; font-size: 9pt; }
	</style>
</head>
<body>
<div id="surrounding">
	<div id="topsurrounding">
		<div id="title">PHP Counter Demo</div>
	</div>
	<div id="contentsurrounding">

	<strong>Text-Based Counter</strong><br /><br />
	<?php bscounter("Stanback", "text", '', '', '', 0); ?>

	<br /><br /><strong>Graphical Counter</strong><br /><br />
	<?php bscounter("Stanback", "image", "LED_g", "png", 4, 0); ?>

	<br /><br /><strong>Graphical Counter (GD)</strong><br /><br />
	<img src="php-bin/bscounter-php/gd-count.php?page=Stanback&style=bluesky&x=18&y=21&nbdigits=6&reloads=0">

	<br /><br /><strong>Statistics Report</strong><br /><br />
	<a href="php-bin/bscounter-php/stats.php?page=Stanback" style="text-decoration: underline; color: #666;">Click here</a> to view the stats.

	<br /><br /><strong>Setup</strong><br /><br />
	<a href="php-bin/bscounter-php/setup.php" style="text-decoration: underline; color: #666;">Click here</a> to demo the counter setup script.
	</div>

	<div id="copyright"><a href="http://www.stanback.net">BS Counter v2.5.3</a> :: Copyright &copy; 1999-2005 Brian Stanback<br /></div>
</div>
</body>
</html>
