<?php
// BS Counter (v2.5.3)
// Copyright 1999-2005 Brian Stanback <brian at stanback dot net>
// This software is protected under the GNU General Public License (see LICENSE)

//
// Set config options (see the docs/README for config instructions)
//

// WWW path to digit images (include trailing slash)
$digits_url = "../../bscounter-common/images/digits/";

// Directory where digit images are located (include trailing slash)
$digits_dir = "../../bscounter-common/images/digits/";

// Stats page header html
$header = "../../bscounter-common/templates/header.html";

// Stats page footer html
$footer = "../../bscounter-common/templates/footer.html";

//
// Begin script
//

// Print the header
if (file_exists($header)) {
	$fh = fopen($header, "r");
	while (!feof($fh)) {
		$line = fgets($fh, 4096);
		$line = str_replace("<!--page-->", "PHP Counter Setup", $line);
		print $line;
	}
	fclose($fh);
}

$dh = opendir($digits_dir);
while (false !== ($digit = readdir($dh))) {
	if ($digit != '.' and $digit != '..') { $digits .= "<option>$digit</option>"; }
}
closedir($dh);

if ($_GET['step']) {
	if (!$_GET['reloads']) { $_GET['reloads'] = 0; }

	if (!$_GET['name']) {
		echo "Please go back and ensure you have filled in the name of your counter.";
	} else {
		echo "<p>The counter is ready to be placed on your page.\n";
		if ($_GET['type'] == "hidden" or $_GET['type'] == "text") {
			if ($_SERVER['SCRIPT_NAME']) { $_SERVER['SCRIPT_NAME'] = str_replace("setup.php", "count.php", ereg_replace("^/", "", $_SERVER['SCRIPT_NAME'])); }
			else {$_SERVER['SCRIPT_NAME'] = "count.php"; }
			echo "To add the counter to your web page, first insert the following code into the desired PHP page(s):<br /><br />\n";
			echo "<code>&lt;?php include(\"" . $_SERVER['SCRIPT_NAME'] . "\"); ?&gt;</code><br /><br />\n";
			echo "Then include the remainder of the code wherever you want to place the counter in your page (after the first block of code):<br /><br />\n";
			echo "<code>&lt;?php bscounter(\"" . $_GET['name'] . "\", \"" . $_GET['type'] . "\", '', '', '', " . $_GET['reloads'] . "); ?&gt;</code><br /><br />\n";
		} elseif ($_GET['type'] == "image") {
			if ($_SERVER['SCRIPT_NAME']) { $_SERVER['SCRIPT_NAME'] = str_replace("setup.php", "count.php", ereg_replace("^/", "", $_SERVER['SCRIPT_NAME'])); }
			else {$_SERVER['SCRIPT_NAME'] = "count.php"; }
			$dh = opendir($digits_dir . $_GET['style']);
			while (false !== ($digit = readdir($dh))) {
				if ($digit != '..' and $digit != '.' and ereg("\.(.*)$", $digit, $regs)) { $imgtype = $regs[1]; break; }
			}
			closedir($dh);
			echo "Your counter digits will look like this...<br /><br /><img src=\"$digits_url" . $_GET['style'] . "/0.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/1.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/2.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/3.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/4.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/5.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/6.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/7.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/8.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/9.$imgtype\"><br /><br />\n";
			echo "To add the counter to your web page, first insert the following code into the desired PHP page(s):<br /><br />\n";
			echo "<code>&lt;?php include(\"" . $_SERVER['SCRIPT_NAME'] . "\"); ?&gt;</code><br /><br />\n";
			echo "Then include the remainder of the code wherever you want to place the counter in your page (after the first block of code):<br /><br />\n";
			echo "<code>&lt;?php bscounter(\"" . $_GET['name'] . "\", \"" . $_GET['type'] . "\", \"" . $_GET['style'] . "\", \"" . $imgtype . "\", " . $_GET['nbdigits'] . ", " . $_GET['reloads'] . "); ?&gt;</code><br /><br />\n";
		} else {
			if ($_SERVER['SCRIPT_NAME']) { $_SERVER['SCRIPT_NAME'] = str_replace("setup.php", "gd-count.php", $_SERVER['SCRIPT_NAME']); }
			else {$_SERVER['SCRIPT_NAME'] = "gd-count.php"; }
			$dh = opendir($digits_dir . $_GET['style']);
			while (false !== ($digit = readdir($dh))) {
				if ($digit != '..' and $digit != '.' and ereg("\.(.*)$", $digit, $regs)) { $imgtype = $regs[1]; break; }
			}
			closedir($dh);
			if ($imgtype == "png") {
				$dim = file("$digits_dir" . $_GET['style'] . "/dim");
				list($x, $y) = explode('x', trim($dim[0]));
				echo "Your counter digits will look like this...<br /><br /><img src=\"$digits_url" . $_GET['style'] . "/0.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/1.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/2.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/3.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/4.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/5.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/6.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/7.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/8.$imgtype\"><img src=\"$digits_url" . $_GET['style'] . "/9.$imgtype\"><br /><br />\n";
				echo "To add the counter to your web page, add the following into your html source, also note that you need to edit the gd-count.cgi script and add your domain/site to the \$allowed array.<br /><br />\n";
				echo "<code>&lt;img src=\"" . $_SERVER['SCRIPT_NAME'] . "?page=" . $_GET['name'] . "&amp;style=" . $_GET['style'] . "&amp;x=$x&amp;y=$y&amp;nbdigits=" . $_GET['nbdigits'];
				if ($_GET['reloads']) { echo "&amp;reloads=1"; }
				echo "\"&gt;</code><br /><br />\n";
			}
			else {
				echo "Error: The images for the selected digit style are not in png format, please go back and select a different style.\n";
			}
		}
		echo "Once you have installed the counter, you can view your site statictics by linking to or visiting the following URL:<br /><br />\n";
		echo "<a href=\"stats.php?page=" . $_GET['name'] . "\">http://www.yourdomain.com/pathtocounter/stats.php?page=" . $_GET['name'] . "</a></p>\n";
	}
} else {
	echo "<p>Please select a counter type, name, and style. The GD image counter will allow you to insert an img tag on your page rather than having to put it on a PHP page.</p>\n";
	echo "<form action=\"" . $_SERVER['SCRIPT_NAME'] . "\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"step\" value=\"1\" />\n";
	echo "<table cellspacing=\"0\" cellpadding=\"2\">\n";
	echo "<tr><td>Counter Type:</td><td><select name=\"type\" class=\"input\"><option value=\"hidden\">Hidden Counter</option><option selected value=\"text\">Text Counter</option><option value=\"image\">Image Counter</option><option value=\"gdimage\">Image Counter (GD)</option></select></td></tr>\n";
	echo "<tr><td>Counter Name (numbers and letters only):&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td><input type=\"text\" class=\"input\" name=\"name\" size=\"20\" /></td></tr>\n";
	echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
	echo "<tr><td>Digit Style (for image counter):</td><td><select class=\"input\" name=\"style\">$digits</select></td></tr>\n";
	echo "<tr><td>Number of digits (adds leading zeros):</td><td><select name=\"nbdigits\" class=\"input\"><option value=\"1\">1</option><option value=\"2\">2</option><option value=\"3\">3</option><option value=\"4\">4</option><option value=\"5\">5</option><option value=\"6\">6</option><option value=\"7\">7</option><option value=\"8\">8</option><option value=\"9\">9</option></select></td></tr>\n";
	echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
	echo "<tr><td>Count if user reloads/refreshes page:</td><td><input type=\"checkbox\" name=\"reloads\" value=\"1\" /></td></tr>\n";
	echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
	echo "<tr><td>&nbsp;</td><td><input type=\"submit\" class=\"submit\" value=\"Generate HTML\" /></td></tr>\n";
	echo "</table>\n";
	echo "</form>\n";
}

// Print the footer
if (file_exists($footer)) {
	echo implode(file($footer));
}

//
// Remove all 'innapropriate' characters
//

function validate_input($in) {
	return preg_replace("#[^A-z0-9-_.+=&/\?\: ]#", "", $in);
}